Merge pull request #273798 from kingarrrt/tmux-thumbs

tmuxPlugins.tmux-thumbs: 0.7.1 -> 0.8.0
This commit is contained in:
Jakub Kozłowski 2024-02-11 18:23:35 +01:00 committed by GitHub
commit a498f11fa5
No known key found for this signature in database
GPG Key ID: B5690EEEBB952194
4 changed files with 29 additions and 44 deletions

View File

@ -1,17 +1,12 @@
{ lib, mkTmuxPlugin, fetchFromGitHub, thumbs, substituteAll }:
{ mkTmuxPlugin, thumbs, substituteAll }:
mkTmuxPlugin rec {
pluginName = "tmux-thumbs";
version = "0.7.1";
mkTmuxPlugin {
inherit (thumbs) version src meta;
pluginName = thumbs.src.repo;
rtpFilePath = "tmux-thumbs.tmux";
src = fetchFromGitHub {
owner = "fcsonline";
repo = pluginName;
rev = version;
sha256 = "sha256-PH1nscmVhxJFupS7dlbOb+qEwG/Pa/2P6XFIbR/cfaQ=";
};
patches = [
(substituteAll {
src = ./fix.patch;
@ -19,11 +14,4 @@ mkTmuxPlugin rec {
})
];
meta = with lib; {
homepage = "https://github.com/fcsonline/tmux-thumbs";
description = "A lightning fast version of tmux-fingers written in Rust for copy pasting with vimium/vimperator like hints.";
license = licenses.mit;
platforms = platforms.unix;
maintainers = with maintainers; [ ghostbuster91 ];
};
}

View File

@ -1,19 +1,18 @@
diff --git a/tmux-thumbs.sh b/tmux-thumbs.sh
index 34dd528..8c05d54 100755
--- a/tmux-thumbs.sh
+++ b/tmux-thumbs.sh
@@ -1,22 +1,8 @@
diff --git i/tmux-thumbs.sh w/tmux-thumbs.sh
index 7e060e8..e7f0c57 100755
--- i/tmux-thumbs.sh
+++ w/tmux-thumbs.sh
@@ -1,22 +1,6 @@
#!/usr/bin/env bash
set -Eeu -o pipefail
-VERSION=$(grep 'version =' Cargo.toml | grep -oe "[0-9]\+.[0-9]\+.[0-9]\+")
-
# Setup env variables to be compatible with compiled and bundled installations
CURRENT_DIR="$( cd "$( dirname "${BASH_SOURCE[0]}" )" && pwd )"
-# Setup env variables to be compatible with compiled and bundled installations
-CURRENT_DIR="$( cd "$( dirname "${BASH_SOURCE[0]}" )" && pwd )"
-RELEASE_DIR="${CURRENT_DIR}/target/release"
-
-THUMBS_BINARY="${RELEASE_DIR}/thumbs"
-TMUX_THUMBS_BINARY="${RELEASE_DIR}/tmux-thumbs"
-VERSION=$(grep 'version =' "${CURRENT_DIR}/Cargo.toml" | grep -o "\".*\"" | sed 's/"//g')
-
-if [ ! -f "$THUMBS_BINARY" ]; then
- tmux split-window "cd ${CURRENT_DIR} && bash ./tmux-thumbs-install.sh"
@ -22,10 +21,11 @@ index 34dd528..8c05d54 100755
- tmux split-window "cd ${CURRENT_DIR} && bash ./tmux-thumbs-install.sh update"
- exit
-fi
-
function get-opt-value() {
tmux show -vg "@thumbs-${1}" 2> /dev/null
@@ -36,7 +22,7 @@ function get-opt-arg() {
}
@@ -35,7 +19,7 @@ function get-opt-arg() {
fi
}
@ -34,12 +34,9 @@ index 34dd528..8c05d54 100755
function add-param() {
local type opt arg
@@ -51,4 +37,4 @@ add-param upcase-command string
@@ -50,4 +34,4 @@ add-param upcase-command string
add-param multi-command string
add-param osc52 boolean
-"${TMUX_THUMBS_BINARY}" "${PARAMS[@]}" || true
+@tmuxThumbsDir@/tmux-thumbs "${PARAMS[@]}" || true

View File

@ -2,22 +2,22 @@
rustPlatform.buildRustPackage rec {
pname = "thumbs";
version = "0.7.1";
version = "0.8.0";
src = fetchFromGitHub {
owner = "fcsonline";
repo = "tmux-thumbs";
rev = version;
sha256 = "sha256-PH1nscmVhxJFupS7dlbOb+qEwG/Pa/2P6XFIbR/cfaQ=";
sha256 = "sha256-XMz1ZOTz2q1Dt4QdxG83re9PIsgvxTTkytESkgKxhGM=";
};
cargoSha256 = "sha256-6htKiXMMyYRFefJzvDnmdx3CJ3XL8zONhGlV2wcbr9g=";
cargoSha256 = "sha256-PfTx6PcW5DESShfr9Ekhbq1asZ0xUGM4Vi9EwmoDv+s";
patches = [ ./fix.patch ];
meta = with lib; {
homepage = "https://github.com/fcsonline/tmux-thumbs";
description = "A lightning fast version copy/pasting like vimium/vimperator";
description = "A lightning fast version of tmux-fingers written in Rust, copy/pasting tmux like vimium/vimperator";
license = licenses.mit;
maintainers = with maintainers; [ ghostbuster91 ];
};

View File

@ -1,13 +1,13 @@
diff --git a/src/swapper.rs b/src/swapper.rs
index 6cf1e89..bcb0969 100644
--- a/src/swapper.rs
+++ b/src/swapper.rs
diff --git i/src/swapper.rs w/src/swapper.rs
index c901f48..cbd278d 100644
--- i/src/swapper.rs
+++ w/src/swapper.rs
@@ -215,7 +215,7 @@ impl<'a> Swapper<'a> {
};
let pane_command = format!(
- "tmux capture-pane -t {active_pane_id} -p{scroll_params} | tail -n {height} | {dir}/target/release/thumbs -f '%U:%H' -t {tmp} {args}; tmux swap-pane -t {active_pane_id}; {zoom_command} tmux wait-for -S {signal}",
+ "tmux capture-pane -t {active_pane_id} -p{scroll_params} | tail -n {height} | {dir}/thumbs -f '%U:%H' -t {tmp} {args}; tmux swap-pane -t {active_pane_id}; {zoom_command} tmux wait-for -S {signal}",
- "tmux capture-pane -J -t {active_pane_id} -p{scroll_params} | tail -n {height} | {dir}/target/release/thumbs -f '%U:%H' -t {tmp} {args}; tmux swap-pane -t {active_pane_id}; {zoom_command} tmux wait-for -S {signal}",
+ "tmux capture-pane -J -t {active_pane_id} -p{scroll_params} | tail -n {height} | {dir}/thumbs -f '%U:%H' -t {tmp} {args}; tmux swap-pane -t {active_pane_id}; {zoom_command} tmux wait-for -S {signal}",
active_pane_id = active_pane_id,
scroll_params = scroll_params,
height = self.active_pane_height.unwrap_or(i32::MAX),